Bug 975502 - Its possible to create a dynaGroup definition with recalculation Interval < 1 minute via CLI
Its possible to create a dynaGroup definition with recalculation Interval < 1...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity high
: Alpha-x
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 880819
  Show dependency treegraph
 
Reported: 2013-06-18 11:35 EDT by Filip Brychta
Modified: 2014-01-02 15:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-06-18 11:35:32 EDT
Description of problem:
Its possible to create a dynaGroup definition with recalculation Interval < 1 minute via CLI, however its not possible via GUI.

Version-Release number of selected component (if applicable):
Version: 4.8.0-SNAPSHOT
Build Number: 7b31b01

How reproducible:
Always

Steps to Reproduce:
1. ./rhq-cli.sh -p rhqadmin -u rhqadmin
2. var dynaGroupDef = new GroupDefinition("test");
3. dynaGroupDef.setRecalculationInterval(5);
4. dynaGroupDef.setExpression("resource.type.name = RHQ Agent");
5. GroupDefinitionManager.createGroupDefinition(dynaGroupDef);


Actual results:
Definition is created

Expected results:
There should be the same validation like it is for GUI

Additional info:
Comment 1 Mike Foley 2013-07-02 11:16:23 EDT
per meeting 7/2/2013 crouch, larry, heiko, foley ...assigning to jiri for JON 3.2
Comment 2 Jirka Kremser 2013-07-10 10:45:57 EDT
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=47c1e440e
time:    2013-07-10 14:54:21 +0200
commit:  47c1e440e86af05c6ec1b0e097f022bd32d08ba4
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 975502] - Its possible to create a dynaGroup definition with
         recalculation Interval < 1 minute via CLI - added simple
         checks to the GroupDefinitionManagerBean.
Comment 3 Simeon Pinder 2013-08-26 11:36:20 EDT
Moving to ON_QA as available for testing in latest 3.2.x ALPHA 58 build:

https://brewweb.devel.redhat.com//buildinfo?buildID=291947
Comment 4 Filip Brychta 2013-08-27 11:23:08 EDT
Verified on 
Version: 3.2.0.ALPHA_QA
Build Number: 10b0467:adad71f

Note You need to log in before you can comment on or make changes to this bug.